Skip to main content
POST
/
work_assignments
/
bulk
/
create
/
scope
Show bulk create scope for work assignments
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/work_assignments/bulk/create/scope \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "pay_schedule_id": "<id>"
  },
  "payees": {
    "include": {
      "ids": [
        "<id>"
      ]
    }
  }
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/work_assignments/bulk/create/scope"

payload = {
"data": { "pay_schedule_id": "<id>" },
"payees": { "include": { "ids": ["<id>"] } }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {pay_schedule_id: '<id>'}, payees: {include: {ids: ['<id>']}}})
};

fetch('https://sandbox.nmbr.co/services/payroll/work_assignments/bulk/create/scope', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "employee",
      "data": {
        "company": {
          "id": "<id>",
          "object": "company",
          "links": {
            "self": "/companies/<id>"
          }
        },
        "employee_number": "001",
        "first_name": "Marley",
        "last_name": "Prosacco",
        "middle_initial": null,
        "personal_email": "marley.prosacco@personal.test",
        "work_email": "mprosacco@work.test",
        "address_line_1": "Angelina Ridge",
        "address_line_2": null,
        "city": "Toronto",
        "administrative_area": "ON",
        "province_code": "ON",
        "country_code": "CA",
        "postal_code": "M1M1M1",
        "sin": "196710156",
        "sin_last_3": "156",
        "date_of_birth": "1985-01-20",
        "warnings": {
          "object": "list",
          "data": [
            {
              "object": "warning",
              "data": {
                "namespace": "onboarding",
                "type": "bank_account_doesnt_exists"
              }
            }
          ]
        },
        "external_ref": null,
        "preferred_locale": null,
        "archived_at": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/employees/<id>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
payees
object
required

Must be present when payees.include.payee_type, payees.include.payee_names and payees.include.archived is either empty or not set.

Must be present when payees.include.ids, payees.include.payee_names and payees.include.archived is either empty or not set.

Must be present when payees.include.ids, payees.include.payee_type and payees.include.archived is either empty or not set.

Must be present when payees.include.ids, payees.include.payee_type and payees.include.payee_names is either empty or not set.

data
object

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]